#!/bin/sh -efu

. install2-init-functions

# List installer specific packages in installed system
list="$(exec_chroot rpmquery -a 'installer*' 'branding-*-slideshow')"

# Add alterator-postinstall if not used
ls $destdir/etc/firsttime.d/ | grep -o '99-z.*postinstall' || list="$list alterator-postinstall"

# Remove them
if [ -n "$list" ]; then
	exec_chroot rpmi -e -- $list
# and remove all their deps
	[ -f $destdir/usr/bin/apt-get ] && exec_chroot apt-get --assume-yes autoremove
fi
