#!/bin/sh -efu

. install2-init-functions

# Remove DRM modules from installed system if Xorg
# server or Virtio is not present
[ -f "$destdir/usr/bin/Xorg" ] || lsmod | grep -q virtio && exit 0

list="$(exec_chroot rpmquery -a kernel-modules-drm-*)"

[ -z "$list" ] || exec_chroot rpm -e  -- $list
