#!/bin/sh

. install2-init-functions

[ -d "$destdir/root" ] || return 0
mkdir -p -m700 -- "$destdir/root/.install-log"

cd "$destdir/root/.install-log"

case "$METHOD" in
	cdrom|disk|nfs|cifs)
		url="file:$image_dir"
		;;
	http|ftp)
		url="$image_url"
		;;
esac

# for install disk identification
curl $url/.disk/info > diskinfo ||:

